DELUSER(8)

NAAM
deluser, delgroup - een gebruiker of groep van het systeem verwijderen

SYNOPSIS
deluser [--backup] [--backup-suffix tknrks] [--backup-to map] [--conf bestand] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] gebruiker
deluser [--system] [--backup] [--backup-suffix tknrks] [--backup-to map] [--conf bestand] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] gebruiker
deluser --group [--conf bestand] [--debug] [--only-if-empty] [--quiet] [--verbose] groep
delgroup [--system] [--conf bestand] [--debug] [--only-if-empty] [--quiet] [--verbose] groep
deluser [--conf bestand] [--debug] [--quiet] [--verbose] gebruiker groep
deluser --help
deluser --version

BESCHRIJVING
deluser en delgroup verwijderen gebruikers en groepen van het systeem volgens de commandoregelopties en de configuratie-informatie in /etc/deluser.conf en /etc/adduser.conf.

Het zijn vriendelijkere frontends voor de programma's userdel en groupdel, met als optie het verwijderen van de persoonlijke map of zelfs van alle bestanden op het systeem die eigendom zijn van de te verwijderen gebruiker, het uitvoeren van een aangepast script en andere mogelijkheden.

Raadpleeg het onderdeel OPTIES voor een volledige lijst van en uitleg bij alle opties.

deluser en delgroup kunnen in drie modi uitgevoerd worden:

  Een gebruiker verwijderen
Indien het aangeroepen wordt met één niet-optieargument en zonder de optie --group, zal deluser een niet-systeemgebruiker verwijderen.

Standaard zal deluser de gebruiker verwijderen zonder de persoonlijke map, de map met e-mail of andere bestanden op het systeem die eigendom zijn van de gebruiker, te verwijderen. Het verwijderen van de persoonlijke map en de map met e-mail kan worden bereikt met de optie --remove-home.

De optie --remove-all-files verwijdert alle bestanden op het systeem die eigendom zijn van de gebruiker. Merk op dat als u beide opties activeert, --remove-home geen extra effect zal hebben, omdat alle bestanden, inclusief de persoonlijke map en de map met e-mail, al gedekt zijn door de optie --remove-all-files.

Als u een back-up wilt maken van alle bestanden voordat u ze verwijdert, kunt u de optie --backup activeren, die een bestand gebruikersnaam.tar(.gz|.bz2) zal aanmaken in de map die is opgegeven door de optie --backup-to.

Standaard wordt het back-uparchief gecomprimeerd met gzip(1). Om dit te wijzigen, kan de optie --backup-suffix worden ingesteld op elk achtervoegsel dat wordt ondersteund door tar --auto-compress (bijv. .gz, .bz2, .xz).

deluser zal weigeren het account van root, de systeembeheerder, te verwijderen.

Als de optie - systeem aan de commandoregel wordt opgegeven, wordt de verwijderingsoperatie alleen uitgevoerd als de gebruiker een systeemgebruiker is. Dit voorkomt het per ongeluk verwijderen van niet-systeemgebruikers. Bovendien wordt er geen foutwaarde teruggegeven als de gebruiker niet bestaat. Scripts van pakketbeheerders van Debian kunnen gebruikmaken van deze vlag om systeemgebruikers of -groepen te verwijderen, terwijl ze het geval waarin de verwijdering al heeft plaatsgevonden negeren.

  Een groep verwijderen
Als deluser wordt aangeroepen met de optie --group, of als delgroup wordt aangeroepen, wordt een groep verwijderd. De primaire groep van een bestaande gebruiker kan niet worden verwijderd. Als de optie --only-if-empty wordt opgegeven, wordt de groep niet verwijderd als er nog leden in zitten.

De optie --system voegt dezelfde functionaliteit toe als de respectieve functies bij gebruikers.

  Een gebruiker uit een specifieke groep verwijderen
Als deluser wordt aangeroepen met twee niet-optie argumenten, zal het een gebruiker verwijderen uit een specifieke groep.

OPTIES
In verschillende modi van deluser zijn verschillende opties toegestaan. Als voor een optie geen geldige modi worden vermeld, wordt deze in alle modi aanvaard.

Voor bepaalde opties kunnen om historische redenen korte versies bestaan. Ze blijven ondersteund worden, maar worden verwijderd uit de documentatie. Gebruikers wordt aangeraden over te stappen op de lange versie van de opties.

--backup
    Alle bestanden in de persoonlijke map van de gebruiker en de map met e-mail back-uppen naar een bestand met de naam gebruikersnaam.tar.bz2 of gebruikersnaam.tar.gz. Geldige modi: deluser, deluser --system.

--backup-suffix tknrks
    Het compressiealgoritme selecteren voor een back-up van de persoonlijke map. Kan worden ingesteld op elk achtervoegsel dat wordt herkend door tar --auto-compress. Staat standaard ingesteld op .gz. Geldige modi: deluser, deluser --system.

--backup-to map
    De back-upbestanden niet in de huidige map maar in map plaatsen. Dit stelt impliciet ook --backup in. (standaard ingesteld op de huidige werkmap). Geldige modi: deluser, deluser --system.

--conf bestand
    Bestand gebruiken in plaats van de standaardbestanden /etc/deluser.conf en /etc/adduser.conf. Er kunnen meerdere --conf opties gegeven worden.

--debug
    De foutopsporingscode activeren.

--group
    Een groep verwijderen. Dit is de standaardactie als het programma wordt aangeroepen als delgroup. Geldige modus: deluser.

--help
    Korte instructies weergeven.

--only-if-empty
    Alleen verwijderen als er geen leden meer zijn. Geldige modi: deluser --group, delgroup.

--quiet
    Informatieve berichten onderdrukken, alleen waarschuwingen en fouten tonen.

--remove-all-files
    Alle bestanden die eigendom zijn van deze gebruiker, van het systeem verwijderen. Opmerking: --remove-home heeft geen effect meer. Als --backup is opgegeven, worden de bestanden verwijderd nadat de back-up is uitgevoerd. Geldige modi: deluser, deluser --system.

--remove-home
    De persoonlijke map en de map met e-mail van de gebruiker verwijderen. Als --backup is opgegeven, worden de bestanden verwijderd nadat de back-up is uitgevoerd. Geldige modi: deluser, deluser --system.

--system
    Alleen verwijderen als de gebruiker/groep een systeemgebruiker/groep is. Als de gebruiker niet bestaat, wordt geen foutwaarde teruggegeven. Geldige modi: deluser, deluser --system.

--verbose
    Meer informatie geven.

--version
    Versie- en copyrightinformatie weergeven.

TERUGGEGEVEN WAARDE

0   Succes: de actie werd succesvol uitgevoerd.

1   De te verwijderen gebruiker was geen systeemaccount. Er werd geen actie uitgevoerd.

2   Een dergelijke gebruiker bestaat niet. Er werd geen actie uitgevoerd.

3   Een dergelijke groep bestaat niet. Er werd geen actie uitgevoerd.

4   Interne fout. Er werd geen actie uitgevoerd.

5   De te verwijderen groep is niet leeg. Er werd geen actie uitgevoerd.

6   De gebruiker zit niet in de opgegeven groep. Er werd geen actie uitgevoerd.

7   U kunt een gebruiker niet uit zijn primaire groep verwijderen. Er werd geen actie uitgevoerd.

8   Het gesuggereerde pakket 'perl' is niet geïnstalleerd. Dit pakket is vereist om de gevraagde acties uit te voeren. Er werd geen actie uitgevoerd.

9   Het account van root, de systeembeheerder, kan niet verwijderd worden. Er werd geen actie uitgevoerd.

VEILIGHEID
adduser heeft root-privileges nodig en biedt via de opdrachtregeloptie --conf de mogelijkheid om verschillende configuratiebestanden te gebruiken. Gebruik geen sudo(8) of soortgelijke hulpmiddelen om gedeeltelijke rechten te geven aan adduser met beperkte commandoregelparameters. Dit is gemakkelijk te omzeilen en kan gebruikers in staat stellen om willekeurige accounts aan te maken. Als u dit wilt, overweeg dan om uw eigen wrapperscript te schrijven en privileges te geven om dat script uit te voeren.

BESTANDEN
/etc/deluser.conf Standaard configuratiebestand voor deluser(8) en delgroup(8)

/usr/local/sbin/deluser.local
    Optionele aangepaste uitbreidingen, zie deluser.local(8)

ZIE OOK
adduser(8), deluser.conf(5), deluser.local.conf(8), groupdel(8), userdel(8)